Customers
List Customers
Paginated list of customers, including customer-level billing contacts.
GET
/
v1
/
customers
List Customers
curl --request GET \
--url https://api.monk.com/v1/customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.monk.com/v1/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.monk.com/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"legalName": "<string>",
"tags": [
"<string>"
],
"isPaused": true,
"pausedAt": "<string>",
"pausedUntil": "2023-12-25",
"metadata": {
"externalCustomerId": "<string>",
"externalCompanyIds": [
"<string>"
]
},
"externalIds": [
{
"entityType": "customer",
"id": "<string>"
}
],
"billingContacts": [
{
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"hasMore": true,
"total": 123
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}Use
externalCustomerId to look up a customer by your external identifier.
Scope: customers:readAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by external customer ID (exact match)
Required range:
x <= 100⌘I
List Customers
